Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

There's piece of software that requires one of the two following versions of Windows:

Windows XP Pro SP3 Vista SP1 Ultimate

And I'm trying to figure out if these instances of Windows by default have .NET install, and if so the minimum version that would be expected.

Reason being that this software will always be on machines that I’m building the software for (file transfer) since it supports hardware that would be generating the files to be transferred.

share|improve this question

2 Answers 2

up vote 2 down vote accepted

The Old New Thing: Windows is not a .NET Framework delivery channel either

[...]

Windows XP didn't come with any version of the .NET Framework. Windows Vista came with version 2, and Windows 7 came with version 3.5, but these were provided as optional components which were installed by default. You can go into the Programs and Features control panel to remove them.

[...]

Summary of the entire post: Never expect .NET to be installed by default.

share|improve this answer

Vista comes with .NET 3.0 (as does Server 2008), Windows 7 comes with .Net 3.5 (as does Server 2008 R2).

XP comes with none.

See Wikipedia for a good chart.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.